<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Todd Riggins">
   <meta name="GENERATOR" content="Mozilla/4.61 [en] (Win98; I) [Netscape]">
   <title>EXOTICA: INTRODUCTION</title>
</head>
<body background="images/exotica_bg.gif" bgcolor="#000000" text="#ffffff">
<center>
<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="maroon"><font size=+2>
<a NAME="INTRODUCTION"></a>EXOTICA: INTRODUCTION
</font></font></b></center></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<center><b><font color="maroon">WHY OH WHY ANOTHER GAME API?</font></b></center>
<hr WIDTH="100%">
Exotica is a DirectX game library that I am creating so I can program DirectX games easier and
also the fact that I want to learn DirectX programming. I decided to release it to the 
internet public because I would like to see what other people can make with it and hopefully people's 
feedback will help me make Exotica even better and more stable. Even though whatever Exotica has 
implemented does work on my computer, I can't guarantee that Exotica will work on your computer. That's why I 
need your feedback if you have any troubles with Exotica. The current Exotica is not fully complete with 
functions that I intend to incorporate into it. I will try my best to keep any future 
versions of Exotica "Backward Capatible" with previous versions. But that 
is also NOT a guarantee because I'm finding ways to let the programmers control DirectX more fully. <p>
If you are expecting to find the main source code to Exotica in this distribution, sorry.
I have no plans to release the source code in the near future. Only IF after I include all the
DirectX stuff that I can into Exotica, only after I make a couple of complete games of my own and
only if I'm having MAJOR trouble with specific areas of the Exotica code... then I MIGHT consider
releasing the code under some type of license agreement.<p>
<hr WIDTH="100%">
<center><b><font color="maroon">REQUIREMENTS</font></b></center>
<hr WIDTH="100%">
I am only guessing that a Pentium 133 machine or equivalent is recommended.
It really depends on how much processor crunching your program needs.<p>
DirectX 8.0+ is needed for the Exotica DX Game Library to work.<p>  
Also, a good understanding of either Euphoria or C programming languages will
help a whole bunch. I won't have any time to explain how to code in Euphoria and
C, sorry. Only if you have Exotica specific questions, then I will be there to try to help.<p>
Also note that I'm using MS Visual Studio 6.0 to compile Exotica with. Since I compile Exotica
into a dll and include a header file with it, you should be able to use it with any programming
language that can use a dll. I think so... dunno... please, if you try, let me know what languages and
it's version so I can let everyone know. Thanks.<p>
<hr WIDTH="100%">
<center><b><font color="maroon">ANY RESTRICTIONS?</font></b></center>
<hr WIDTH="100%">
Exotica for C and Euphoria is Freeware! No registration fees and it's royalty free! !!!BUT!!! :), I do 
require that in any programs you make and in it's main documentation that you use 
Exotica with that you clearly state "Exotica (c)1999-2001 Todd A. Riggins" to be seen 
by anyone else that uses your program. Credit is all I ask for making Exotica. 
!!!PLUS!!! :), please, if you have made a program with Exotica, let me know 
where I can link to it from my website if you have it available on the internet. 
This may help other people to know about your program. Your program can be a 
complete program or a work in progress(WIP) program to be linked from my website. 
I do not require you to send me a full registered program if you make one. Even though 
you can if you want to for a sign of appreciation of my efforts of making Exotica. But 
that is up to you. Ofcoarse, I'll remmember that you didn't if you don't. ;) <p>
<hr WIDTH="100%">
<center><b><font color="maroon">I NEED HELP!</font></b></center>
<hr WIDTH="100%">
If you are unable to get Exotica working, please email me 
and I will try to help. Please try to explain exactly what the problem is and 
also showing me code of what you're trying to accomplish will help me 
alot faster in figuring out a solution for you if I can.<p> 
Want to know where the official Exotica website is? Go to 
<a href="http://exotica.iwarp.com">http://exotica.iwarp.com</a>
to get the latest news, downloads and help.<p>
If you have trouble programming Exotica and need help,
here are some options that may help:<p>
1) Euphoria Mailing List - The best way to get Exotica/Euphoria answers faster. Since Exotica is
rather new, there won't be much programmers that use Exotica at this time.
I am subscribed to the Euphoria list and will try my best to help. Hopefully,
someone else can help you before I can.<p>
2) Exotica's Forum - Post messages about Exotica for C and
Euhporia Questions here. Since Exotica is rather new, asking Exotica/Euphoria questions on the Euphoria mailing list
will most likely get your question answered more quickly than the forum.<br>
<a href="http://pub19.ezboard.com/bexoticadxgamelibrary">Go to Exotica Forum Here</a><p>
3) Email me about a Exotica related question. If it is more of an Euphoria related coding problem which 
really hasn't nothing to do with Exotica, please email that kind of problem to the 
Euphoria Mailing List. Thankyou.
<A href="mailto:triggins@ev1.net">mailto:triggins@ev1.net</a><p>
If needed, I can try to set up an Exotica Mailing List for you to subscribe too. But, that 
will only be created if there are alot of Exotica programmers out there and if you all think 
it would be a good idea. <p>
<hr WIDTH="100%">
<center><b><font color="maroon">EXOTICA AND ME...</font></b></center>
<hr WIDTH="100%">
I'm not a professional programmer by no means, but I like to consider 
myself as a knowledgable 'c' programmer(16+ years). I know the Win32 API fairly 
well and will develope my own Euphoria Win32 API library along with Exotica 
for Euphoria to run on. I will try to keep EXOTICA current with the latest
DirectX versions.<br>
Also, I know EXOTICA is not the best DirectX game library. My main goal for Exotica is to
help the beginners to learn DirectX programming and eventually not need to use Exotica
anymore. Ofcoarse, I will always use it. Another goal is to see other people actually make
a commercial game with it. I just hope Exotica will someday rank as being a great DirectX
game library to program with. <p>
Enjoy!
</font></b></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

</center>
</body>
</html>
